<!DOCTYPE html>
<html lang="ja">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous" />
        <link href="./style.css" rel="stylesheet" />
        <title>伊地知ニジカ放送局 - ニジカ返答ログ</title>
    </head>

    <body>
        <div class="container my-5">
            <div class="accordion mb-5" id="accordion-filter">
                <div class="accordion-item">
                    <h2 class="accordion-header">
                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-filter" aria-expanded="true" aria-controls="collapse-filter">
                            絞り込み
                        </button>
                    </h2>

                    <div id="collapse-filter" class="accordion-collapse collapse show" data-bs-parent="#accordion-filter">
                        <div class="accordion-body">
                        </div>
                    </div>
                </div>
            </div>

            <div class="mb-4">
                <?php require 'pagination.cmp.php' ?>
            </div>

            <div>
                <?php foreach (array_slice ($log_data,
                                            ($page - 1) * $length,
                                            $length,
                                            true) as $record): ?>
                    <div class="mb-4">
                        <div>
                            <?= $record['date_time'] ?>
                        </div>

                        <div>
                            <img src="<?= $record['chat_icon'] ?>" />
                            <?= $record['chat_name'] ?>
                        </div>

                        <div style="color: blue">
                            &gt; <span style="font-style: italic"><?= $record['chat_message'] ?></span>
                        </div>

                        <div>
                            <?= $record['answer'] ?>
                        </div>
                    </div>
                <?php endforeach ?>
            </div>

            <div class="mt-5">
                <?php require 'pagination.cmp.php' ?>
            </div>
        </div>

        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
    </body>
</html>

